# $Revision: 1.39 $, $Date: 2007/02/13 07:47:13 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	OLE
%define		pnam	Storage
Summary:	OLE::Storage - an interface to Structured Storage documents
Summary(pl.UTF-8):	OLE::Storage - interfejs do dokumentów "Structured Storage"
Name:		perl-OLE-Storage
Version:	0.386
Release:	13
License:	GPL v2+
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	d87e521546fb3c10270d492ab50f7bab
URL:		http://www.perl.com/CPAN/modules/by-module/OLE/OLE-Storage-%{version}.readme
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl-Startup
BuildRequires:	perl-Unicode-Map
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
OLE::Storage gives access to the standard Microsoft Windows OLE
documents (e.g. done by Microsoft Word or Star Word).

%description -l pl.UTF-8
OLE::Storage umożliwia dostęp do dokumentów zapisanych w standardzie
Microsoft Windows OLE (np. stworzonych przy pomocy Microsoft Word lub
Star Word).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%attr(755,root,root) %{_bindir}/*
%{perl_vendorlib}/OLE/Storage
%{perl_vendorlib}/OLE/*.pm
%{_mandir}/man[13]/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-OLE-Storage.spec,v $
Revision 1.39  2007/02/13 07:47:13  glen
- tabs in preamble

Revision 1.38  2007/02/12 00:49:43  baggins
- converted to UTF-8

Revision 1.37  2004/11/03 22:30:38  paladine
- formatting

Revision 1.36  2004/05/07 01:06:42  ankry
- rel. 13

Revision 1.35  2004/05/06 18:20:50  ankry
- fixed perl-devel BR

Revision 1.34  2004/04/25 00:50:58  ankry
- cosmetics: unification

Revision 1.33  2004/04/15 05:47:56  ankry
- some summary, description and license fixes

Revision 1.32  2004/04/13 13:04:29  adamg
- new style bconds; cosmetics

Revision 1.31  2003/09/09 10:24:44  ankry
- spaces -> tab

Revision 1.30  2003/08/18 08:09:06  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.29  2003/05/28 13:00:56  malekith
- massive attack: source-md5

Revision 1.28  2003/05/25 06:24:52  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.27  2003/04/11 18:59:26  radek
- BR: perl-devel; do not BR: perl

Revision 1.26  2003/03/01 20:22:18  radek
- should be ready for perl-5.8.0; release++

Revision 1.25  2003/02/25 00:41:03  radek
- use the __perl macro

Revision 1.24  2003/02/18 15:37:31  ankry
- massive attack: change CPAN URLs

Revision 1.23  2002/09/09 09:08:05  qboosh
- release 11

Revision 1.22  2002/09/03 09:06:05  grabba
- new %%doc
- site_perl/OLE dir moved into perl.spec

Revision 1.21  2002/07/10 08:48:27  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.20  2002/05/11 14:28:11  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.19  2002/02/25 10:33:42  depesz
- cleanup; revision++

Revision 1.18  2002/02/22 23:29:31  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.17  2002/02/13 14:19:26  depesz
- automatic: Source location unfied, Relase Up

Revision 1.16  2002/02/10 15:31:30  depesz
- adapterized

Revision 1.15  2002/01/18 02:14:24  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.14  2001/11/28 15:20:21  mis
- buildarch noarch; release++

Revision 1.13  2001/05/02 21:51:25  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.12  2001/04/17 12:14:06  baggins
- release 7
- rebuild with perl 5.6.1

Revision 1.11  2001/04/14 18:00:09  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.10  2001/02/21 04:18:38  kloczek
- release 6.

Revision 1.9  2001/01/25 20:03:47  misiek
- Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.8  2001/01/22 20:03:21  kloczek
- spec adapterized,
- do not include .packlist file in %files.

Revision 1.7  2001/01/13 01:34:04  dobrek
- Req:perl>=5.6 ;Realase=5;New rpm automat

Revision 1.6  2000/06/09 07:23:40  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/21 20:20:01  kloczek
- spec adapterized.

Revision 1.4  2000/04/01 11:15:24  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:58  baggins
- translated kloczkish into english

Revision 1.2  1999/11/05 23:56:12  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules
- release++

Revision 1.1  1999/09/26 17:11:34  pius
- initial release

based on autogenerated spec from RH
